# Ultrasonic Library for MicroBlocks

Welcome to the **Ultrasonic Library** for MicroBlocks!  
This library makes it easy for anyone—even if you don’t know how to code or use a computer much—to control a Ultrasonic using simple blocks in MicroBlocks.

---

## Features

- **Easy drag-and-drop blocks** for controlling your Ultrasonic
- **No coding required**
- **Read Ultrasonic Values**
- **Control the notes**
- **Beginner-friendly instructions**

---

## Getting Started

**What you need:**
- Spark microcontroller and connecting wires
- MicroBlocks IDE installed ([Download here](https://microblocks.fun/download/))
- A Ultrasonic and basic connecting wires

---

## Installation

1. **Download the Ultrasonic Library:**  
   Download the library file from [here](Spark_MultiDigitalPins.ubl).

2. **Open MicroBlocks IDE** on your computer.

3. **Add the Library:**
   - Go to the library manager in MicroBlocks.
   - Click “Import Library” or drag and drop the downloaded file into the IDE.

---

## How to Use

1. **Connect your Ultrasonic** to your microcontroller’s pins (see your board’s pinout for details).

2. **Open MicroBlocks IDE** and make sure your board is connected.

3. **Find the Ultrasonic blocks** in the blocks menu.

4. **Drag the blocks** you want to use into your script area.  
   - For example: 
    - “Set Pin Value 
    - Read Inputs"

5. **Click the green flag** or “Run” to start controlling your Ultrasonic!

---
## Example Project

![](Images/3.png)

You can use the reading from the photoresistor as an input value for any output.

---

*Have fun building with your Ultrasonic!*

